length                 package:base                 R Documentation

Length of an Object

Description:

     Get or set the length of vectors (including lists) and factors,
     and of any other R object for which a method has been defined.

Usage:

     length(x)
     length(x) <- value

Arguments:

       x: a vector or list or factor.

   value: an integer.

Details:

     Both functions are generic: you can write methods to handle
     specific classes of objects, see InternalMethods.

     The replacement form can be used to reset the length of a vector. 
     If a vector is shortened, extra values are discarded and when a
     vector is lengthened, it is padded out to its new length with
     'NA's.

Value:

     The length of 'x' as an 'integer' of length 1, if 'x' is (or can
     be coerced to) a vector or list.  Otherwise, 'length' returns
     'NA'.

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'nchar' for counting the number of characters in character
     vectors.

Examples:

     length(diag(4))# = 16 (4 x 4)
     length(options())# 12 or more
     length(y ~ x1 + x2 + x3)# 3
     length(expression(x, {y <- x^2; y+2}, x^y)) # 3

